Skip to main content
PUT
Assign an account plan to an account

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

organization_id
string
required

Organization ID (UUID)

ledger_id
string
required

Ledger ID (UUID)

account_id
string
required

Account ID (UUID)

Body

application/json
accountPlanId
string<uuid>
required

Account plan to assign. It must belong to the ledger of the path, not be deleted and be enabled.

Example:

"00000000-0000-0000-0000-000000000000"

Response

OK

accountAlias
string
required
Example:

"@cliente_x"

accountId
string
required
Example:

"00000000-0000-0000-0000-000000000000"

accountPlanId
string
required
Example:

"00000000-0000-0000-0000-000000000000"

endedAt
string<date-time> | null
required

Instant the assignment ended; null while it is active.

Example:

"2026-02-01T00:00:00Z"

id
string
required
Example:

"00000000-0000-0000-0000-000000000000"

ledgerId
string
required
Example:

"00000000-0000-0000-0000-000000000000"

organizationId
string
required
Example:

"00000000-0000-0000-0000-000000000000"

startedAt
string<date-time>
required
Example:

"2026-01-01T00:00:00Z"